Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 20050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/connectors"{ "data": [ { "id": "string", "provider": "shopify", "external_account": "string", "status": "active", "config": { "customer_mapping": { "mode": "provider_customer_id" }, "shop_currency": "string", "klaviyo": { "email_attribute": "string", "currencies": [ "string" ], "tier_programs": [ "string" ] } }, "credentials_configured": true, "webhook_secret_configured": true, "webhook_path": "string", "disabled_reason": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/connectors" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "provider": "shopify", "external_account": "example.myshopify.com", "credentials": { "access_token": "shpat_example" }, "webhook_secret": "example-webhook-signing-secret", "config": { "shop_currency": "USD" } }'{ "id": "string", "provider": "shopify", "external_account": "string", "status": "active", "config": { "customer_mapping": { "mode": "provider_customer_id" }, "shop_currency": "string", "klaviyo": { "email_attribute": "string", "currencies": [ "string" ], "tier_programs": [ "string" ] } }, "credentials_configured": true, "webhook_secret_configured": true, "webhook_path": "string", "disabled_reason": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/connectors/string"{ "id": "string", "provider": "shopify", "external_account": "string", "status": "active", "config": { "customer_mapping": { "mode": "provider_customer_id" }, "shop_currency": "string", "klaviyo": { "email_attribute": "string", "currencies": [ "string" ], "tier_programs": [ "string" ] } }, "credentials_configured": true, "webhook_secret_configured": true, "webhook_path": "string", "disabled_reason": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/connectors/string" \ -H "Content-Type: application/json" \ -d '{ "status": "active" }'{ "id": "string", "provider": "shopify", "external_account": "string", "status": "active", "config": { "customer_mapping": { "mode": "provider_customer_id" }, "shop_currency": "string", "klaviyo": { "email_attribute": "string", "currencies": [ "string" ], "tier_programs": [ "string" ] } }, "credentials_configured": true, "webhook_secret_configured": true, "webhook_path": "string", "disabled_reason": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/connectors/string"{ "id": "string", "provider": "shopify", "external_account": "string", "status": "active", "config": { "customer_mapping": { "mode": "provider_customer_id" }, "shop_currency": "string", "klaviyo": { "email_attribute": "string", "currencies": [ "string" ], "tier_programs": [ "string" ] } }, "credentials_configured": true, "webhook_secret_configured": true, "webhook_path": "string", "disabled_reason": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthQuery Parameters
1 <= value <= 20050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/connectors/string/receipts"{ "data": [ { "provider_event_id": "string", "topic": "string", "outcome": "processed", "event_id": "string", "detail": "string", "provider_delivery_id": "string", "received_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/connectors/string/klaviyo/resync" \ -H "Idempotency-Key: string"{ "synced": -9007199254740991, "pending": -9007199254740991, "skipped_no_email": -9007199254740991, "failed": -9007199254740991, "resync_pending": true, "last_run_at": "2019-08-24T14:15:22Z", "last_success_at": "2019-08-24T14:15:22Z", "next_attempt_at": "2019-08-24T14:15:22Z", "last_error": "string", "disabled_reason": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/connectors/string/klaviyo/status"{ "synced": -9007199254740991, "pending": -9007199254740991, "skipped_no_email": -9007199254740991, "failed": -9007199254740991, "resync_pending": true, "last_run_at": "2019-08-24T14:15:22Z", "last_success_at": "2019-08-24T14:15:22Z", "next_attempt_at": "2019-08-24T14:15:22Z", "last_error": "string", "disabled_reason": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/connectors/string/shopify/discount_codes" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "code": "WELCOME-10", "title": "Welcome reward", "amount_minor": 1000, "currency": "USD" }'{ "id": "string", "code": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/connectors/string/shopify/redemptions" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "customer_id": "cust_00000000000000000000000000000042", "currency": "credit", "amount": 1500 }'{ "status": "created", "code": "string", "discount_id": "string", "application": { "id": "string", "customer_id": "string", "currency_id": "string", "currency": "string", "iso_currency": "string", "minor_unit": 0, "order_ref": "string", "order_total": 0, "amount": 0, "captured": 0, "refunded": 0, "status": "applied", "void_reason": "string", "applied_at": "2019-08-24T14:15:22Z", "hold_until": "2019-08-24T14:15:22Z", "captured_at": "2019-08-24T14:15:22Z", "voided_at": "2019-08-24T14:15:22Z", "revision": 0 }}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length1 <= length <= 64Header Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/connectors/string/shopify/redemptions/string/reconcile" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{}'{ "status": "created", "code": "string", "discount_id": "string", "application": { "id": "string", "customer_id": "string", "currency_id": "string", "currency": "string", "iso_currency": "string", "minor_unit": 0, "order_ref": "string", "order_total": 0, "amount": 0, "captured": 0, "refunded": 0, "status": "applied", "void_reason": "string", "applied_at": "2019-08-24T14:15:22Z", "hold_until": "2019-08-24T14:15:22Z", "captured_at": "2019-08-24T14:15:22Z", "voided_at": "2019-08-24T14:15:22Z", "revision": 0 }}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/connectors/string/shopify/redemptions/expire" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "limit": 25 }'{ "voided": [ "string" ], "used": [ "string" ], "retry": [ "string" ], "awaiting_confirmation": [ "string" ], "needs_reconcile": [ "string" ], "has_more": true}Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/connectors/string/string/webhook"{ "received": true}